<?PHP
sapp_include_once('common.php');

function check_ignore_ip($v) {
	$dig = '([1-9]|[1-9][0-9]|1[0-9][0-9]|2([0-4][0-9]|5[0-5]))';
	$re = "(({$dig}\\.){1,3}|({$dig}\\.){3}{$dig})";
	$re = "{$re}(, *{$re})*";
	if (strlen($v)){
		if (!preg_match('/^'.$re.'$/', $v)){
			return false;
		} else {
			return true;
		}
	} else {
		return true;
	}
}
function form_handler() {

	$valid_required = true;
	$valid_optional = true;

	/*******************************
	 *
	 *	Required parameters
	 *
	 *******************************/

	$valid_required &= check_and_set_required('bbc_mainsite',		'check_url');
	$valid_required &= check_and_set_required('bbc_titlebar');
	$valid_required &= check_and_set_required('bbc_language');
	$valid_required &= check_and_set_required('bbc_maxtime',		'check_int');
	$valid_required &= check_and_set_required('bbc_maxvisible',		'check_int');
	$valid_required &= check_and_set_required('bbc_maxos',			'check_int');
	$valid_required &= check_and_set_required('bbc_maxbrowser',		'check_int');
	$valid_required &= check_and_set_required('max_extension',		'check_int');
	$valid_required &= check_and_set_required('bbc_maxrobot',		'check_int');
	$valid_required &= check_and_set_required('bbc_maxpage',		'check_int');
	$valid_required &= check_and_set_required('bbc_maxorigin',		'check_int');
	$valid_required &= check_and_set_required('bbc_general_align_style');
	$valid_required &= check_and_set_required('bbc_title_size',		'check_int');
	$valid_required &= check_and_set_required('bbc_subtitle_size',	'check_int');
	$valid_required &= check_and_set_required('bbc_text_size',		'check_int');

	if (!$valid_required)
		sapp_set_warning(msg('not_all_required_parameters_are_correctly_specifyed'));

	/*****************************
	 *
	 *	Optional parameters
	 *
	 *****************************/
	$valid_optional &= check_and_set_optional('bbc_ignoreip', 'check_ignore_ip');
	$valid_optional &= check_and_set_optional('bbc_stat_field_id');
	$valid_optional &= check_and_set_optional('bbc_stat_field_time');
	$valid_optional &= check_and_set_optional('bbc_stat_field_visits');
	$valid_optional &= check_and_set_optional('bbc_stat_field_ext');
	$valid_optional &= check_and_set_optional('bbc_stat_field_dns');
	$valid_optional &= check_and_set_optional('bbc_stat_field_refer');
	$valid_optional &= check_and_set_optional('bbc_stat_field_os');
	$valid_optional &= check_and_set_optional('bbc_stat_field_browser');
	
	$valid_optional &= check_and_set_optional('bbc_stat_field_ip');
	$valid_optional &= check_and_set_optional('bbc_stat_field_page');
	$valid_optional &= check_and_set_optional('bbc_stat_field_query');

	if (!$valid_optional)
		sapp_set_warning(msg('optional_parameters_are_wrong'));

	if (!$valid_required || !$valid_optional) {
		sapp_set_error(msg('some_parameters_are_wrong'));
		// return the current step number
		return 1;
	}

	// return the next step number
	return 2;
}
?>
